Subject: Re: Problem with a header file
From: [email-masked] (Earnie Boyd)

18 Sep 1998 21:55:46 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Benjamin Riefenstahl <[email-masked]>
Cc: gw32 <[email-masked]>

---Benjamin Riefenstahl <[email-masked]> wrote:
>
> Hi Volker,
> 
> 
> Dr. Volker Zell wrote:
> > The problem is in the oratypes.h include file:
> > 
> > When I change line 169 (and the same in 183) from
> > 
> >   typedef unsigned _int64 ub8;
> > 
> > to
> > 
> >   typedef unsigned int ub8;
> > 
> > the compiliation succeeds and the program works. I'm not a
programmer
> > so my question is, why does this work?
> 
> I don't think it does. Your code evaluates to a 32-bit unsigned
integer,
> while the original specified 64 bits (with an MS-specific extension to
> the language). It's possible that your program doesn't use this
specific
> code though.
> 
> Anyway, for a better fix change the code to this:
> 
>    typedef unsigned long long ub8;

Why not do:

typedef long long _int64;

?!?!

Then you don't have to change anything else.  I would put this in the
stddef.h file.  You should do this based on the size of long; there is
nothing that says that long should remain 32 bits.

==
-                \\||//
-----------o0O0--Earnie--0O0o------------
--        [email-masked]        --
-- http://freeyellow.com/members5/gw32 --
--------------ooo0O--O0ooo---------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".